#include <stdio.h>

main() {
int a,b,x,y;
scanf("%d %d", &a, &b);
scanf("%d %d", &x, &y);

if (a > x && a - x > y)	printf("prvi\n");
else if (b > y && b - y > x)	printf("drugi\n");
else if (x + y == a + b)	printf("nijedan\n");
else	printf("?\n");
}